ProgressItem class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# ProgressItem Class Reference

One item in the ListProgress. More...

`#include <uiserver.h>`

Inheritance diagram for ProgressItem:

[legend]
Collaboration diagram for ProgressItem:

[legend]
List of all members.

## Public Slots
void | slotShowDefaultProgress ()
void | slotToggleDefaultProgress ()
## Signals
void | jobCanceled (ProgressItem *)
## Public Member Functions
| ProgressItem (ListProgress *view, QListViewItem *after, QCString app_id, int job_id, bool showDefault=true)
QCString | appId ()
int | jobId ()
void | setVisible (bool visible)
void | setDefaultProgressVisible (bool visible)
bool | isVisible () const
void | setTotalSize (KIO::filesize_t bytes)
void | setTotalFiles (unsigned long files)
void | setTotalDirs (unsigned long dirs)
void | setProcessedSize (KIO::filesize_t size)
void | setProcessedFiles (unsigned long files)
void | setProcessedDirs (unsigned long dirs)
void | setPercent (unsigned long percent)
void | setSpeed (unsigned long bytes_per_second)
void | setInfoMessage (const QString &msg)
void | setCopying (const KURL &from, const KURL &to)
void | setMoving (const KURL &from, const KURL &to)
void | setDeleting (const KURL &url)
void | setTransferring (const KURL &url)
void | setCreatingDir (const KURL &dir)
void | setStating (const KURL &url)
void | setMounting (const QString &dev, const QString &point)
void | setUnmounting (const QString &point)
void | setCanResume (KIO::filesize_t offset)
KIO::filesize_t | totalSize ()
unsigned long | totalFiles ()
KIO::filesize_t | processedSize ()
unsigned long | processedFiles ()
unsigned long | speed ()
QTime | remainingTime ()
## Protected Slots
void | slotCanceled ()
## Protected Member Functions
void | updateVisibility ()
## Protected Attributes
QCString | m_sAppId
int | m_iJobId
bool | m_visible
bool | m_defaultProgressVisible
ListProgress * | listProgress
KIO::DefaultProgress * | defaultProgress
KIO::filesize_t | m_iTotalSize
unsigned long | m_iTotalFiles
KIO::filesize_t | m_iProcessedSize
unsigned long | m_iProcessedFiles
unsigned long | m_iSpeed
QTime | m_remainingTime
QTimer | m_showTimer

## Detailed Description

One item in the ListProgress.

Definition at line 46 of file uiserver.h.

The documentation for this class was generated from the following files:

- uiserver.h
- uiserver.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:19:55 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001